
#pragma once

//=============================================================================
//
//	GtpClient class
//
//	Receives GTP commands and have the AI execute it
//
//=============================================================================

#include <cstring>
#include <stdlib.h>

#include "AI.h"

class GtpClient
{
public:
	GtpClient(AI* ai);
	~GtpClient();

	bool ParseAndExecute();

private:
	class GtpCommand
	{
	public:
		GtpCommand(char *command);

		bool	hasID_;
		int		ID_;
		char*	commandName_;
		char*	arguments_;

		char	IdString_[256];
	};

	AI*			ai_;
	GtpCommand* command_;
};